@charset "UTF-8";

/* ------------------------
BASE
------------------------ */
html {
  font-size: 64.5%;
  /* font-size: 10px; */
}

body {
  font-size: 1.4rem;
  font-family: 'futura', 'futura-pt', 'Noto Sans JP', 'Meiryo', 'Hiragino Kaku Gothic ProN', sans-serif;
  color: #776B5D;
  background-color: #F3EEEA;
  line-height: 1.8;
}

a {
  color: #776B5D;
  text-decoration: none;
}

img {
  max-width: 100%;
}

h1 {
  font-size: 3.6rem;
  font-weight: normal;
}

h2 {
  font-size: 3.6rem;
  font-weight: normal;
}

h3 {
  font-size: 1.4rem;
  font-weight: normal;
}

p {
  font-size: 1.4rem;
  line-height: 2.4em;
}

span {
  font-size: 1.4rem;
  display: inline-block;
}

/* ------------------------
LAYOUT
------------------------ */
body {
  min-width: 768px;
  margin: 0 auto;
}

/* HEADER */
.header {
  width: 100%;
  height: 100px;
  top: 0;
  left: 0;
  margin: 0 auto;
  position: absolute;
  top:0;
}

.header__container{
  height: 100px;
  display: flex;
  justify-content: space-between;
  margin: 0 162px;
  align-items: center;
}

.header__nav__link {
  display: flex;
}

.header__nav__link > li {
  padding-left: 48px;
}

/* MAIN VISUAL */
.main-visual__container {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  display:flex;
  justify-content:center;
  align-items:center;
}

.main-visual__logo {
  text-align: center;
}

/* WORKS */

.works__container {
  max-width: 1240px;
  margin: 0 auto;
  padding: 0 80px 240px 80px;
  /* padding-bottom: 240px; */
  flex-wrap: wrap;
}

.works__headline {
  text-align: center;
  margin-bottom: 80px;
}

.works__item__grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 56px;
}

.works__item {
  display: flex;
  flex-direction:column;
}
.works__item__title {
  padding-bottom: 1.5rem;
}

.works__item__category a {
  display:inline-block;
  margin-right: 1em;
}

.works__item__category a:hover {
  color: #989490;
}

.works__item__image{
  margin-top: auto;
  margin-bottom: 60px;
}

.works__item__image img {
  width:100%;
  aspect-ratio: 4 / 3;
  object-fit:cover;
  object-position:0% 0%;
}

.btn--more {
  text-align: right;
}

.btn--more a {
  border-bottom: 1px solid #776B5D;
  padding-bottom: 5px;
}

.btn--more a:hover {
  color: #989490;
}

/* ABOUT */
.about__container {
  max-width: 1240px;
  margin: 0 auto;
  padding: 0 80px 240px 80px;
}

.about__headline {
  text-align: center;
  margin-bottom: 140px;
}

.about__name {
  text-align: center;
  margin-bottom: 60px;
}

.about__contents > p {
  text-align: center;
  margin-bottom: 160px;
}

/* CONTACT */
.contact__container {
  max-width: 1240px;
  margin: 0 auto;
  padding: 0 80px 240px 80px;
}

.contact__headline {
  text-align: center;
  margin-bottom: 60px;
}

.contact__container > p {
  text-align: center;
  margin-bottom: 80px;
}

/* FOOTER */
.footer {
  width: 100%;
  top: 0;
  left: 0;
  margin: 0 auto 40px auto;
}

.footer__nav {
  max-width: 900px;
  margin: 0 auto;
  padding: 48px 0;
}

.footer__nav__link {
  display: flex;
  justify-content: space-between;
}

.footer__nav__link > li {
  padding: 0 32px;
}

.footer__copyright {
  text-align: center;
}

/* WORKS SUMMARY */
.single-page__headline {
  text-align: center;
  margin: 120px auto;
}

.works__archive__tab {
  display: flex;
  justify-content: space-between;
  max-width: 900px;
  margin: 120px auto;
}

/* WORKS ARCHIVE SINGLE */
.works__archive__single__detail {
  display: flex;
  justify-content: space-between;
  margin-bottom: 60px;
}

.works__archive__single__title {
  margin-bottom: 48px;
}

.works__archive__single__url {
  margin-top: 30px;
  margin-bottom: 100px;
}

.works__archive__single__btn {
  display: flex;
  justify-content: space-between;
}

.wp-caption {
  margin-top: 40px;
}

.wp-caption-text {
  padding: 20px 0;
}

/* ABOUT DETAIL */
.about__detail__top {
  height: 300px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 120px;
}

.about__detail__img {
  position: relative;
  height: 250px;
  width: 250px;
  margin: 0 auto;
}

.about__detail__img > img {
  height: 250px;
  width: 250px;
  object-fit: cover;
  border-radius: 50%;
}

.about__detail__text {
  width: 60%;
}

.about__detail--english-name {
  padding-bottom: 8px;
}

.about__detail__youtube {
  height: 100px;
  width: 100px;
  margin: 0 auto;
}

.about__detail__youtube > img {
  width: 100px;
  height: 100px;
  object-fit: cover;
}

.about__detail__text--youtube {
  padding-top: 64px;
  text-align: center;
}

/* CONTACT DETAIL */
.contact__detail__container {
  max-width: 1240px;
  margin: 0 auto;
  padding: 0 0 120px 0;
  text-align: center;
}

.contact__detail__text {
  text-align: center;
}

form {
  width: fit-content;
  margin: 80px auto 0 auto;
}

/* ------------------------
MODULE
------------------------ */
/* reCAPTCHA v3のバッジ非表示 */
.grecaptcha-badge {
  visibility: hidden;
}

/* HEADER */
.header__logo__image {
  width: 180px;
  height: auto;
}

.header__nav__link > li {
  font-size: 1.4rem;
}

/* MAIN VISUAL */
.main-visual__logo {
  width: 500px;
  min-width: 260px;
  height: auto;
}

/* フェードインアニメーション用の初期状態 */
.main-visual__logo {
  opacity: 0; /* 初期状態で非表示 */
  transform: translateY(50px); /* 下からの位置 */
  transition: opacity 0.8s ease, transform 0.8s ease; /* アニメーションの設定 */
}

.main-visual__logo.fade-in {
  opacity: 1; /* 表示 */
  transform: translateY(0); /* 元の位置に移動 */
}

/* ABOUT */
/* スクロールで下からフェードイン */
.about__contents {
  opacity: 0;
  transform: translateY(50px); /* 50px下から登場 */
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.about__contents.fade-in-about {
  opacity: 1;
  transform: translateY(0);
}

.about__name {
  font-size: 3.6rem;
  font-weight: normal;
}

.about__detail__img {
  filter: saturate(85%);
  filter: opacity(90%);
  filter: sepia(10%);
}

/* CONTACT */
.contact__btn {
  display: block;
  margin: 0 auto;
  padding: 24px 48px;
  background-color: transparent;
  border: solid 1px #776B5D;
  border-radius: 5px;
  text-align: center;
  transition: all 0.3s ease;
}

.contact__btn:hover {
  background-color: #776B5D;
  color: #FAF5EF;
}

/* FOOTER */
.footer__nav__link > li {
  font-size: 1.4rem;
}

.footer__copyright {
  color: #9F9F9F;
}

/* ABOUT DETAIL */
.about__detail--japanese-name {
  font-size: 3.6rem;
  font-weight: normal;
  letter-spacing: 0.25em;
}

.about__detail--english-name {
  font-size: 2.0rem;
  font-weight: normal;
  letter-spacing: 0.25em;
}

/* WORKS ARCHIVE SINGLE */
.works__archive__single__title {
  font-size: 2.4rem;
}

.btn--prev {
  margin: 40px;
}

.btn--next {
  margin: 40px;
}

/* CONTACT DETAIL */
/* フォーム全体のスタイル */
.wpcf7 {
  border-radius: 10px;
  max-width: 640px;
  margin: auto;
  }

/* ラベルのスタイル */
.wpcf7-form label {
  display: block;
  margin-bottom: 30px;
  font-weight: bold;
  text-align: left;
  }

.wpcf7-form .label-text {
  display: block;
  font-weight: bold;
  text-align: left;
  }

/* インプットフィールドのスタイル */
.wpcf7-text,
.wpcf7-textarea {
  width: 40em;
  padding: 16px;
  border-top: 0;
  border-left: 0;
  border-right: 0;
  border-bottom: 1px solid #776B5D;
  background-color: #EBE3D5;
  box-sizing: border-box;
}

.wpcf7-form textarea {
  height: 150px;
  resize: none;
}

.wpcf7-list-item {
  margin: 0 0 40px 0;
  text-align: center;
}

.wpcf7-form-control-wrap {
  display: inline;
}

.wpcf7-list-item span {
  display: inline;
}

.wpcf7-spinner {
  display: block;
}

/* 必須フィールドのラベルスタイル */
.contact__span {
  color: #ce2222;
  padding-left: 3px;
  padding-right: 3px;
}

.wpcf7-form .required {
  color: #ce2222;
  padding-left: 3px;
  padding-right: 3px;
  }

/* 送信ボタン */
.wpcf7-submit {
  display: inline-block;
  padding: 24px 48px;
  background-color: transparent;
  border: 1px solid #776B5D;
  border-radius: 5px;
  text-align: center;
  transition: all 0.3s ease;
}

.wpcf7-submit:hover {
  background-color: #776B5D;
  color: #FAF5EF;
}

/* バリデーションエラーや送信メッセージのデザイン */
.wpcf7-response-output {
  margin-top: 20px;
  padding: 10px;
  border-radius: 5px;
  font-size: 14px;
}

.wpcf7-response-output.wpcf7-mail-sent-ok {
  background-color: #d4edda;
  color: #155724;
  border: 1px solid #c3e6cb;
}

.wpcf7-response-output.wpcf7-validation-errors {
  background-color: #f8d7da;
  color: #721c24;
  border: 1px solid #f5c6cb;
}

/* Style for Smartphones */
@media screen and (max-width:768px) {
  body {
    min-width: 375px;
    margin: 0 auto;
  }

  .works__container {
    padding: 0 24px 160px 24px;
  }

  .about__container {
    padding: 0 24px 160px 24px;
  }

  .contact__container {
    padding: 0 24px 160px 24px;
  }

  .contact__detail__container {
    padding: 0 24px 160px 24px;
    text-align: center;
  }

  /* HEADER */
  .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #F3EEEA;
    z-index: 1000;
  }
  
  .header__container {
    margin: 0 20px;
  }

  .header__logo__image {
    width: 140px;
  }

  /* Humburger Menu */
  .header__nav__list {
    display: none; /* 初期状態では非表示 */
    position: absolute;
    top: -100%;
    right: 0;
    width: 100%;
    background-color: #776B5D;
    z-index: 1;
    opacity: 0;
    transition: top 0.4s ease, opacity 0.4s ease;
  }

  .header__nav__list.open {
    display: block; /* メニューが開いた時に表示*/
    top: 0;
    opacity: 1;
  }

  .header__nav__link {
    display: block;
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: auto;
    z-index: 2;
    transition-duration: 0.4s;
    background-color: #776B5D;
  }

  .header__nav__link li:first-child {
    padding-top: 30px;
  }


  .header__nav__link li {
    padding: 10px 0;
    text-align: center;
  }

  .header__nav__link li:last-child {
    padding-bottom: 40px;
  }

  .header__nav__link a {
    font-size: 2.4rem;
    color: #F3EEEA;
  }

  .hamburger__menu {
    display: block;
    cursor: pointer;
    width: 30px;
    height: 20px;
    background-color: #F3EEEA;
    position: relative;
  }

  .hamburger__menu::before,
  .hamburger__menu::after {
    cursor: pointer;
    content: '';
    position: absolute;
    width: 30px;
    height: 4px;
    background-color: #776B5D;
    right: 0;
    transition: transform 0.4s ease;
  }

  .hamburger__menu::before {
    top: 0;
  }

  .hamburger__menu::after {
    bottom: 0;
  }

  .hamburger__menu.open::before {
    transform: translateY(8px) rotate(45deg);
    background-color: #F3EEEA;
    z-index: 3; /* ナビゲーションリンクと重なるため3に設定 */
  }

  .hamburger__menu.open::after {
    transform: translateY(-8px) rotate(-45deg);
    background-color: #F3EEEA;
    cursor: pointer;
    z-index: 3; /* ナビゲーションリンクと重なるため3に設定 */
  }
  
  /* MAIN VISUAL */
  .main-visual__container {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    padding: 0 32px;
  }

  /* WORKS */
  .works__archive__tab {
    display: block;
    text-align: center;
  }

  .works__archive__tab > li {
    margin-bottom: 10px;
  }

  .works__item__grid {
    display: block;
    margin: 0 auto;
  }

  /* ABOUT */
  .about__contents > p {
    margin-bottom: 60px;
  }

  /* FOOTER */
  .footer__nav {
    padding: 48px 0 80px 0;
  }

  .footer__nav__link {
    display: block;
    text-align: center;
    margin: 0 auto;
  }

  .footer__nav__link > li {
    font-size: 1.6rem;
  }
  
  .footer__nav__link > li {
    padding: 15px 0;
  }

  /* ABOUT DETAIL */
  .about__detail__top {
    display: block;
    margin: 0 auto;
    margin-bottom: 40px;
    height: fit-content;
  }

  .about__detail__text {
    text-align: center;
    width: 100%;
    margin: 40px 0;
  }

  .about__detail__text > p {
    margin-top: 40px;
  }

  .about__detail__bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* margin-top: 40px; */
  }

  .about__detail__youtube {
    height: 100px;
    width: 100px;
  }

  .about__detail__text--youtube {
    padding-top: 80px;
  }

  /* WORKS ARCHIVE SINGLE */
  .works__archive__single__detail {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .works__archive__single__title {
    margin-bottom: 20px;
  }
  
  /* CONTACT DETAIL */
  .wpcf7-text, .wpcf7-textarea {
    width: 100%;
  }

  /* .contact__detail__text {
    text-align: center;
  } */

  /* form > div {
    padding-bottom: 56px;
  } */

  /* input[type="text"],
  input[type="email"],
  input[type="number"] {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
  } */

  /* textarea {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
  } */

  /* details {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
  } */
}